﻿<h1>Applications</h1>


<h2>AKUTILS</h2>

<p>
	This contains a small set of utilties that call Windows API functions using 
	<code>⎕NA</code> and is supplied by <a 
	href="mailto:kornal@idirect.com">kornal@idirect.com</a>. 
	The workspace requires Version 8.1 Release 2 or later. 
	<a class="zip" href="http://www.dyalog.dk/download/akutils.zip">akutils.zip</a>
</p>


<h2>ASPSVR</h2>

<p>
	ASPSVR provides the framework for writing Dyalog Version 9 applications for 
	Microsoft Information Server (IIS) as described in an article &ldquo;Writing IIS 
	Applications in Dyalog&rdquo; <cite>Quote Quad</cite> <strong>33</strong> 1, September 2002.
</p>

<p>
	The archive contains a number of files and sub-directories which should be 
	extracted to a suitable sub-directory on your computer, e.g. Dyalog90\aspsvr. 
	This physical sub-directory must then be installed as an IIS Virtual Directory.
</p>

<p>
	Full details are provided in <code>aspsvr.doc</code> which is included in the archive.
	<a class="zip" href="http://www.dyalog.dk/download/aspsvr.zip">aspsvr.zip</a>
</p>


<h2>ATFIN</h2>

<p>
	This is a Dyalog Version 10 workspace, supplied by 
	<a href="mailto:bowman@apl.demon.co.uk">bowman@apl.demon.co.uk</a>, 
	that may be used to import X and 2/PC workspaces into Dyalog.
	<a class="zip" href="http://www.dyalog.dk/download/atfin.zip">atfin.zip</a>
</p>


<h2>DEMOGL</h2>

<p>
	This workspace illustrates how you can drive OpenGL graphics from Dyalog. The 
	workspace has been kindly provided on an as-is basis by <a href="mailt:askom2@kaluga.ru">askom2@kaluga.ru</a> and 
	his colleagues Alexei Zalivin and Alexander Kornilovsky from Obninsk, the 
	capital of Russia.
</p>

<p>
	DEMOGL requires Dyalog for Windows Version 8.1, and of course OpenGL must be 
	installed on your PC. The author suggests that DEMOGL may not run under NT, 
	although Dyalog has tested it under both Windows 95 and NT 4.0 without 
	problems.
	<a class="zip" href="http://www.dyalog.dk/download/demogl.zip">demogl.zip</a>
</p>


<h2>DSAMPLES</h2>

<p>
	Dynamic Functions Sample Workspaces. A collection of workspaces containing 
	examples of Dynamic Function (D) coding techniques. Including:
</p>

<ul>
	<li class="dws">
		<code>min.dws max.dws</code> Tiny functional languages Min and Max provide examples 
		of using Dynamic Functions in a pure Functional Programming style
	</li>
	<li class="dws"><code>tube.dws</code> Graph-examples using city subways</li>
	<li class="dws"><code>eval.dws</code> Excel-style expression evaluation and more</li>
	<li class="dws"><code>dfns.dws</code> A collection of examples and utility functions</li>
</ul>

<p>
	<a class="zip" href="http://www.dyalog.dk/download/dsamples.zip">dsamples.zip</a>
</p>


<h2>FIDDF</h2>

<p>
	This workspace contains Dynamic Function versions of the Finnish Idioms 
	Library. The workspace is supplied by 
	<a href="mailto:veli-matti.jantunen@stat.fi">veli-matti.jantunen@stat.fi</a> 
	and requires Version 7.3 or 8.1 or later.
	<a class="zip" href="http://www.dyalog.dk/download/fapliddf.zip">fapliddf.zip</a>
</p>


<h2>GLAUX</h2>

<p>
	This workspace is an update to the DEMOGL workspace and provides a higher 
	level interface to OpenGL from Dyalog for Windows. The workspace has been 
	supplied on an as-is basis by 
	<a href="mailto:kornal@idirect.com">kornal@idirect.com</a>
	Documentation for the workspace is included.
</p>

<p>
	GLAUX requires Dyalog for Windows Version 8.1, 
	and of course OpenGL must be installed on your PC . 
	<a class="zip" href="http://www.dyalog.dk/download/glaux.zip">glaux.zip</a>
</p>


<!--
<h2>JAD</h2>

<p>
	JAD SMS is a third-party source-code management system 
	for Dyalog (Version 8.2 or later).
	<a class="zip" href="http://www.dyalog.dk/download/glaux.zip">glaux.zip</a>
</p>
-->


<h2>OLEBROWS</h2>

<p>
	This workspace is an enhanced version of Dyalog's OCXBROWS workspace and may 
	be used to browse OLE servers as well as OCXs. The workspace is supplied by 
	<a href="mailto:ABalako@infostroy.ru">ABalako@infostroy.ru</a>
	and requires Version 8.2.
	<a class="zip" href="http://www.dyalog.dk/download/olebrows.zip">olebrows.zip</a>
</p>


<h2>RECURE</h2>

<p>
	This workspace models a proposal for a recurrent operator and is supplied by 
	<a href="mailto:buzin@ext1.ccas.ru">buzin@ext1.ccas.ru</a>. 
	This workspace requires Version 7.2 Release 7 or Version 8.0 Release 11 or later.
	<a class="zip" href="http://www.dyalog.dk/download/recure.zip">recure.zip</a>
</p>	