﻿<h1>Documentation</h1>

<h2>Manuals</h2>

<h3>Dyalog for Windows Version 11</h3>

<ul>
	
	<li class="zip"><a href="http://www.dyalog.dk/whatsnew/relnotes.zip">Release notes (416 Kb)</a></li>
	<li class="pdf"><a href="http://www.dyalog.dk/whatsnew/OO4APLERS.pdf">Introduction to Object-Oriented APL (587 Kb)</a></li>
	
</ul>


<h3>Dyalog for Windows Version 10</h3>

<ul>
	
	<li class="zip"><a href="http://www.dyalog.dk/download/docs101.zip">All Version 10.1 manuals (6 Mb)</a></li>
	<li class="zip"><a href="http://www.dyalog.dk/download/lr101.zip">Version 10.0 Language Reference (494 Kb)</a></li>
	<li class="zip"><a href="http://www.dyalog.dk/download/uig101.zip">Version 10.0 User Guide (1.8 Mb)</a></li>
	<li class="zip"><a href="http://www.dyalog.dk/download/or101.zip">Version 10.0 Object Reference (667 Kb)</a></li>
	<li class="zip"><a href="http://www.dyalog.dk/download/ig101.zip">Version 10.0 Interface Guide (973 Kb)</a></li>
	<li class="zip"><a href="http://www.dyalog.dk/download/dn101.zip">Version 10.0 .NET Interface (1.8 Mb)</a></li>
	
</ul>


<h2>Help files for Version 10</h2>

<p>Each of the 3 zipped archives contains:</p>

<ul>
	<li>the Windows Help File (.HLP)</li>
	<li>the contents file (.CNT)</li>
	<li>the requisite font</li>
</ul>

<p>
	There are two versions of each help file. 
	One uses a bitmap font, the other a TrueType font. 
	If you want both versions of the help files, 
	you should download them into separate directories because the .hlp file names are the same.
</p>

<p>Unless you plan to print the help topics, the Bitmap font versions are recommended.</p>

<table>
	<tbody>
		<tr>
			<td>Language Reference (448 Kb)</td>
			<td><a class="bmf" href="http://www.dyalog.dk/download/lang.zip">lang.zip</a></td>
			<td><a class="ttf" href="http://www.dyalog.dk/download/truetype/lang.zip">lang.zip</a></td>
		</tr>
	
		<tr>
			<td>Windows Graphic User Interface (902 Kb)</td>
			<td><a class="bmf" href="http://www.dyalog.dk/download/gui.zip">lang.zip</a> </td>
			<td><a class="ttf" href="http://www.dyalog.dk/download/truetype/gui.zip">lang.zip</a></td>
		</tr>
		
		<tr>
			<td>Release Notes (72 Kb)</td>
			<td><a class="bmf" href="http://www.dyalog.dk/download/relnotes.zip">lang.zip</a></td>
			<td><a class="ttf" href="http://www.dyalog.dk/download/truetype/relnotes.zip">lang.zip</a></td>
		</tr>
</tbody>
</table>	

<h2>Release notes for previous versions</h2>

<p>
	These are Windows 95 or Windows 3.1 help files that describe the new features 
	in most recent versions of Dyalog for Windows. These Files are compressed in 
	PKZIP format. You need the 
	<a class="bmf" href="downloads/dlogbmst.ttf">Dyalog Std bitmap font</a> or 
	<a class="ttf" href="downloads/dlogttst.ttf">Dyalog Std TrueType font</a> 
	to view these help files.
</p>

<p>
	Note that because the Bitmap help files employ a bitmap font, you cannot 
	print the symbols in these help pages. If you want to print the help pages, 
	you should choose the TrueType version of the help file.
</p>

<table>
	<thead>
		<tr><th>Version</th><th>Bitmap</th><th>TrueType</th></tr>
	</thead>
	<tbody>
		<tr>
			<td>9.0</td>
			<td><a href="http://www.dyalog.dk/download/v90/relnotes.zip" class="bmf">relnotes.zip</a></td>
			<td><a href="http://www.dyalog.dk/download/v90/tt_help/relnotes.zip" class="ttf">relnotes.zip</a></td>
		</tr>
		<tr>
			<td>8.2</td>
			<td><a href="http://www.dyalog.dk/download/v82/relnotes.zip" class="bmf">relnotes.zip</a></td>
			<td><a href="http://www.dyalog.dk/download/v82/tt_help/relnotes.zip" class="ttf">relnotes.zip</a></td>
		</tr>
		<tr>
			<td>8.1</td>
			<td><a href="http://www.dyalog.dk/download/v81/relnotes.zip" class="bmf">relnotes.zip</a></td>
			<td><a href="http://www.dyalog.dk/download/v81/tt_help/relnotes.zip" class="ttf">relnotes.zip</a></td>
		</tr>
		<tr>
			<td>7.4</td>
			<td><a href="http://www.dyalog.dk/download/v74/relnotes.zip" class="bmf">relnotes.zip</a></td>
			<td><a href="http://www.dyalog.dk/download/v74/tt_help/relnotes.zip" class="ttf">relnotes.zip</a></td>
		</tr>
		<tr>
			<td>7.3</td>
			<td><a href="http://www.dyalog.dk/download/v73/relnotes.zip" class="bmf">relnotes.zip</a></td>
			<td><a href="http://www.dyalog.dk/download/v73/tt_help/relnotes.zip" class="ttf">relnotes.zip</a></td>
		</tr>
	</tbody>
</table>		