﻿<div style="margin-top: 1.5em">

	<p class="large">
		Dyalog is the most widely-used APL development platform available.
	</p>

	<p class="large">
		It is used in research and business to integrate
		<strong>domain experts</strong> into the software development process.
	</p>

	<p>
		Dyalog allows rapid prototyping of simple and complex processes,
		and is especially strong where solutions have an <strong>analytical</strong>
		or <strong>mathematical</strong> component.
		Without recoding, these solutions can be used to power secure, high
		performance applications with thousands of concurrent users.
	</p>

	<p>
		Today Dyalog is in daily use in major corporations throughout the world.
		It is constantly being developed and enhanced.
	</p>

</div><!-- welcome -->

<div class="plug">
	
	<h3>Dyalog 11.0</h3>

	<p>Version 11.0 of Dyalog introduces</p>

	<ul>
		<li><code>⎕NEW</code> &mdash; native support for class-instance object hierarchies</li>
		<li>Unicode script files for source-code management</li>
		<li>the <code>power</code> and <code>inverse</code> operator <code>⍣</code></li>
		<li>primitive functions extended to arrays of objects</li>
	</ul>

	<p><a href="" class="readon">read more</a></p>

</div>
